Check pipeline usage and deletion alternatives
curl --request GET \
--url https://your-instance.example.com/api/pipelines/{pipelineId}/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-instance.example.com/api/pipelines/{pipelineId}/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/pipelines/{pipelineId}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"pipelineId": "66f0a0b0c0d0e0f0a0b0c0d0",
"pipelineName": "Sales pipeline",
"pipelineType": "Contact",
"isInUse": true,
"recordsCount": 22,
"hasAlternatives": true,
"alternatives": [
{
"id": "66f0a0b0c0d0e0f0a0b0c0d1",
"name": "EMEA sales pipeline"
}
]
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}Pipelines
Check pipeline usage and deletion alternatives
Returns whether the pipeline still has assigned records and lists other active pipelines of the same type that can receive those records during deletion.
GET
/
api
/
pipelines
/
{pipelineId}
/
usage
Check pipeline usage and deletion alternatives
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I